clear all

global theta
global X0 n_v_e tTotal mpts
global FileNames
global theta_i  st_fun dst_fun t0 deltat_min

parhh;
consthh;

% Generating the Stimulus Time Series.
% Amplitude is determine by the parameter Theta(14)
%
% A gaussian
tau=10; % ms
sd=1;   % ms
%for k=1:n_m_max, st_fun(k)= exp(-((tt(k)-tau)/sd).^2); end
%for k=1:n_m_max, dst_fun(k)= - 2 * ((tt(k)-tau)/sd^2) * exp(-((tt(k)-tau)/sd).^2); end

% A constant
for k=1:n_m_max, st_fun(k)=1; end
for k=1:n_m_max, dst_fun(k)=0; end

thetae=theta(theta_i);
[LK,var_est,V_est,tp,Xp,Pp,nu]=filter_hh(thetae);

load rstates
% plot of the state variable and their filter estimates
t=1:n_m;
figure
subplot(411)
plot(t,proceso(1,:),t,var_est(1,:));
subplot(412)
plot(t,proceso(2,:),t,var_est(2,:));
subplot(413)
plot(t,proceso(3,:),t,var_est(3,:));
subplot(414)
plot(t,proceso(4,:),t,var_est(4,:));

% plot of the innovations
figure;
plot(nu);
drawnow;
