global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global theta FileNames

deltat_min=0.0001;  % sampling period for integration
deltat=0.1;       % sampling period for filtering
t0=0.5;             % initial time   OK
tTotal=10+t0;       % sampling time  

% theta(1)=-0.05;
% theta(2)=0.05;
theta(1)=-0.1;
theta(2)=0.1;

theta(3)=0.0001;       %observation variance

n_obs=1; % number of observation equations
n_v_e=1; % number of state variables  
n_w=1;
n_m=round((tTotal - t0) ./ deltat)   %number of points
%mpts=0.*ones(1,n_m);   % number of misssing points to compute the prediction between two observations
%mpts=31.*ones(1,n_m); % number of misssing points to compute the prediction between two observations
mpts=[];
AbsTol=[5.0e-9,5.0e-12];
RelTol=[5.0e-6,5.0e-6];

X0=1;         % initial state variable for integration;
Xf0=X0;       % initial filter estimates
Pf0=0;        % initial filter variance estimates

fname='S_Exac_Mul_NoL1';
f  = @F_Exac_Mul_NoL1;    % name of function f
g  = @G_Exac_Mul_NoL1;    % name of function g 
Jf = @J_Exac_Mul_NoL1;    % name of Jacobian of f
Jg = @Jg_Exac_Mul_NoL1;       % name of Jacobian of g  
Hf = 'zero';              % name of the Hessian of f
Hg = 'zero';              % name of the Hessian of g 
ft = @Ft_Exac_Mul_NoL1;              % name of derivative of f respect to t   
gt = @Gt_Exac_Mul_NoL1;              % name of derivative of g respect to t

h  = @H_Exac_Mul_NoL1;    % name of function h
Jh = @Jh_Exac_Mul_NoL1;   % name of Jacobiano de h 

p  = 'zero';    % name of function p  
Jp = 'zero';   % name of Jacobian of p  

See= @See_Exac_Mul_NoL1;  % variance of the additive observation noise
Lee= @Lee_Exac_Mul_NoL1;  % variance of the multiplicative observation noise

FileNames=MakeFileNames(f,g,Jf,Jg,Hf,Hg,ft,gt,h,Jh,p,Jp,See,Lee,fname);

