global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global Theta FileNames

const_cox;

load data 
Z=datos;

% compute the LL filter
LKWindow=[0 tTotal];
[var_est,V_est,tp,Xp,Pp,nu,LK]=LLfilter(t,Z,Xf0,Pf0,Theta,FileNames,LKWindow,mpts);
disp([' Log LK for Theta= ' num2str(-LK)])

% plot of the state variable and their filter estimates
figure
subplot(211)
plot(t,proceso(1,:),t,var_est(1,:));
subplot(212)
plot(t,proceso(2,:),t,var_est(2,:));

% plot of the innovations
figure;
plot(nu);
drawnow;

% computing the exact filter for this example
t(1)=0;
ms(1)=Xf0(1,1);
ps(1)=Pf0(1,1);
for i=2:n_m
   t(i)=t(i-1)+deltat;
   ms(i)=ms(i-1).*exp(Theta(2)*deltat)+Theta(1).*(exp(Theta(2).*deltat)-1)./Theta(2);
   temp = (Theta(1)+2.*Theta(2).*ms(1)).*exp(2.*Theta(2).*t(i)) ... 
      -2.*(Theta(1)+Theta(2).*ms(1)).*exp(Theta(2).*t(i)) + Theta(1);
   ps(i)= (temp./2).*(Theta(3)/Theta(2)).^2;
end;

figure
subplot(2,1,1);
% plot of the exact filter of the variable 1 and its LL filter estimate
plot(t,ms,t,var_est(1,:));
subplot(2,1,2);
% plot of the exact filter variance of the variable 1 and its LL filter variance estimate
plot(t,ps,t,V_est(:,1,1));

