% Neuron's model
% Constants

t0=0;
X0=[Varoo';Vmr];    % initial conditions
n_v_e = size(X0,1);

tTotal=100;% Total time
deltat_min=0.01;  % sampling period for integration
deltat=0.05;       % sampling period for filtering

n_m_max=round((tTotal - t0) ./ deltat_min);
n_m=round((tTotal - t0) ./ deltat)   %number of points
pp=n_m_max/n_m;
mpts=zeros(1,n_m); % number of misssing points to compute the prediction between two observations

f  = 'fhh';      % name of function f
g  = 'ghh';      % name of function g 
Jf = 'jfxhh';    % name of Jacobian of f
Jg = 'zero';     % name of Jacobian of g  
Hf = 'zero';     % name of the Hessian of f
Hg = 'zero';     % name of the Hessian of g 
ft = 'jfthh';    % name of derivative of f respect to t
gt = 'jtghh';     % name of derivative of g respect to t

h  = 'hhh';      % name of function h
Jh = 'jhhh';     % name of Jacobiano of h 

p  = 'phh';      % name of function p  
Jp = 'jphh';     % name of Jacobian of p  

See= 'see_hh';    % variance of the additive observation noise
Lee= 'lee_hh';    % variance of the multiplicative observation noise

FileNames=MakeFileNames(f,g,Jf,Jg,Hf,Hg,ft,gt,h,Jh,p,Jp,See,Lee);