global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global Theta FileNames

deltat_min=0.001;  % sampling period for integration
deltat=0.01;       % sampling period for filtering
tTotal=10;         % sampling time  

% definition of state space parameters
SysVar=0.01;  AddObsVar=0.0001; MulObsVar=0;   % aditive observation noise

t0=0;    % initial time  
n_obs=1; % number of observation equations
n_v_e=1; % number of state variables  
n_m=round((tTotal - t0) ./ deltat)   % number of points
mpts=zeros(1,n_m); % number of misssing points to compute the prediction between two observations

X0=1;            % initial state variable for integration;
Xf0=X0;          % initial filter estimates
Pf0=0.01;        % initial filter variance estimates

Theta(1)=-1;
Theta(2)=0.5;
Theta(3)=SysVar;
Theta(4)=AddObsVar;

f  = 'f_OneDim';    % name of function f
g  = 'g_OneDim';    % name of function g 
Jf = 'j_OneDim';    % name of Jacobian of f
Jg = 'zero';              % name of Jacobian of g  
Hf = 'zero';              % name of the Hessian of f
Hg = 'zero';              % name of the Hessian of g 
ft = 'zero';              % name of derivative of f respect to t   
gt = 'zero';              % name of derivative of g respect to t

h  =  'h_OneDim';   % name of function h
Jh = 'jh_OneDim';   % name of Jacobiano de h 

p  = 'p_OneDim';    % name of function p  
Jp = 'Jp_OneDim';   % name of Jacobian of p  
p  = 'zero';    % name of function p  
Jp = 'zero';   % name of Jacobian of p  

See= 'See_OneDim';  % variance of the additive observation noise
Lee= 'Lee_OneDim';  % variance of the multiplicative observation noise

FileNames=MakeFileNames(f,g,Jf,Jg,Hf,Hg,ft,gt,h,Jh,p,Jp,See,Lee);


